X-Git-Url: https://bilbo.iut-bm.univ-fcomte.fr/and/gitweb/loba.git/blobdiff_plain/98bcf878526913600093dbce941e8a9ba873f2ea..01d46f8470e36e1823d897496e0d915770bc867b:/Experimentations/make_params?ds=sidebyside

diff --git a/Experimentations/make_params b/Experimentations/make_params
index 78cf9ae..2d5c26b 100755
--- a/Experimentations/make_params
+++ b/Experimentations/make_params
@@ -3,7 +3,7 @@
 set -e
 
 TEMPLATE=${1:-"ag_parameters"}
-PREFIX=param
+PREFIX=${2:-"param"}
 
 log() {
     echo "-#- $@" >&2
@@ -16,10 +16,13 @@ die() {
 
 test -r "$TEMPLATE" || die "file not found: $TEMPLATE"
 
+source "$TEMPLATE" || die "cannot read file: $TEMPLATE"
+declare -a common_opts=( "${MORE_ARGS[@]}" )
+
 for flavour in "I" "R"; do
     for distrib in "1" "N"; do
         for ratio in "1000:1" "100:1" "10:1" "1:1" "1:10" "1:100" "1:1000"; do
-            declare -a opts=( )
+            declare -a opts=( "${common_opts[@]}" )
             case "$flavour" in
                 "I") opts+=( -Z ) ;;
                 "R") : ;;